关于图形界面下Ubuntu的max file open 值

正常在Linux下,对打开的文件描述符的数量限制设置有两个地方: sudo sysctl -a | grep file-max 是全局最多可打开文件描述符设置 sudo ulimit -n 是单进程最多可打开的文件描述符设置 全局的修改比较容易,只需要在/etc/sysctl.conf中添加fs.file-max并指定值即可,如fs.file-max = 6553500. 单进程就比较坑了,我当前用的是Ubuntu 18.04,若仅是Server版本Ubuntu或是用SSH登陆的情况下,只需在/etc/security/limits.conf添加如下: * soft nofile 1024000 * hard nofile 1024000 # 16.04下用 * 会无效,需要指定用户如: root soft nofile 1024000 root hard … “关于图形界面下Ubuntu的max file open 值”

Read More

curl命令上传文件到开启CSRF的Django站

Django默认开启`csrf`防跨站,因此需要在提交信息时同样带上csrf. “`bash # 每次都获取csrf,也可以用固定的 csrf=`curl -s -o /dev/null -c –url ‘http://example.com/’ | grep ‘csrf’ | awk ‘{print $NF}’` # 提交 curl –request ‘POST’ –url ‘http://example.com/’ –cookie “csrftoken=${csrf}” –form “username=user” –form “password=pwd” –form “csrfmiddlewaretoken=${csrf}” –form “imgFile=@xxx.jpg” … “curl命令上传文件到开启CSRF的Django站”

Read More

Raspberry Pi 2B 体验 Ubuntu Core 系统

前些天看到 Ubuntu 针对 IoT 推出的系统有树莓派的版本,叫做 Snappy Ubuntu Core . 我的树莓派 2B 之前用着 CentOS 的 armhf 版,从15年到现在一直很稳定.但是挡不住对新鲜事物的尝试,今天就特地换 Ubuntu Core 来试试. 介绍 Snappy Ubuntu Core 是 Canonical 针对 IoT 和 Embedded 基于 Ubuntu 系统推出的精简定制版,其特点就是 Snap 包管理器. Ubuntu … “Raspberry Pi 2B 体验 Ubuntu Core 系统”

Read More

Linux下安装最新NodeJS开发环境

Ubuntu 和Debian以及CentOS这些内置源的NodeJS的版本和官方最新版差了个爷爷辈,所以需要安装新版的NodeJS要么去官方下包解压手动安装,要么找源进行安装。 本着方便的原则,当然是一键自动安装简单。因此发现了一个福利项目nodesource/distributions. 根据项目介绍.支持目前主流的Linux系统. 安装 RedHat系的系统包括 CentOS 和 Fedora,只需curl -sL https://rpm.nodesource.com/setup_8.x | bash -后再执行yum install -y nodejs即可. 以下是 Debian 系的安装. Node.js v8.x: # Using Ubuntu curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash – sudo apt-get … “Linux下安装最新NodeJS开发环境”

Read More

CentOS 7 升级node.js提示Requires:http-parser >= 2.7.0错误

之前在去年安装node.js时,yum install直接就搞定。这次虚拟机太久未登陆,于是登陆’yum update’遇到了如下错误: Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel) Requires: libhttp_parser.so.2()(64bit) Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel) Requires: http-parser >= 2.7.0 查了下,是因为CentOS 的EPEL里已经移除了Node.js而放在了REHL中。 因此需要去下载http-parser安装即可. rpm -ivh https://kojipkgs.fedoraproject.org/packages/http-parser/2.7.1/3.el7/x86_64/http-parser-2.7.1-3.el7.x86_64.rpm

Read More

Synology DSM 6使用root进行SSH登录

群晖没 root 权限很不爽,网上搜了下还真找到了. 首先 Web 上登录后打开 Control Panel 切换到 Advance Mode,打开 Terminal & SNMP ,勾选 Enable SSH Service, Port使用默认的 22 号端口即可. 然后使用自己的账号 SSH 登录群晖后(必须要有管理员权限),sudo -i切换到 root 账户.打开 SSH 的配置文件/etc/ssh/sshd_config,添加PermitRootLogin yes到其中后,使用命令synouser –setpw username newpasswd修改root的密码. 最后一步就是重启 SSH … “Synology DSM 6使用root进行SSH登录”

Read More

升级Centos6到Centos7错误记录

入了一个HK的kvm,但是预置镜像都是老版本:centos6,debian7。因为只是为了做个DOCKER REGESTRY和扶墙,想升级下系统版本和内核,折腾了debian7无果,折腾下centos升级版本,再换内核。 网上找了一下,按照说明升级,发现已经不支持从6.x升级到最新的7.3了。 详情链接 WARNING! Do not use this method to upgrade from CentOS 6.7 or higher as several system critical packages are of a higher version number than they are in centos 7 so … “升级Centos6到Centos7错误记录”

Read More

CentOS 7 升级内核开启 BBR

有两台在美国的 VPS,带宽是千兆, 系统跑的是 CentOS 7,不过一直以来都跑不满百兆.最近看到 Linux Kernel 4.9 版本已经正式发布有段时间了,而谷歌的 BBR 流量拥塞算法已经合并到 4.9 的内核主分支中了, 就记录下升级CentOS 内核试试 BBR 的过程. 首先要有 root 或 sudo 权限. # 安装最新 Linux Kernel 的 CentOS 源 rpm –import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org rpm -Uvh http://www.elrepo.org/elrepo-release-7.0-2.el7.elrepo.noarch.rpm … “CentOS 7 升级内核开启 BBR”

Read More

ubuntu16.04 安装apache2报错 解决方案

从ubuntu 14.04 升级ubuntu16.04后,apache2无法启动,如下报错: Starting apache2 (via systemctl): apache2.serviceJob for apache2.service failed because the control process exited with error code. See “systemctl status apache2.service” and “journalctl -xe” for details. failed! 卸载apache2 再次重装仍报错: Job for apache2.service failed … “ubuntu16.04 安装apache2报错 解决方案”

Read More